Page MenuHomePhabricator

JavaScript error from ext.cleanchanges.uls on Special:RecentChanges
Closed, ResolvedPublic

Description

For example in https://wiki.aineetonkulttuuriperinto.fi/wiki/Toiminnot:Tuoreet_muutokset

Happens when language filter is not in use. Code calls unconditionally $trigger.val(). Most likely the code should not run at all in this case.

Exception in load-callback in module ext.uls.mediawiki:
TypeError: Cannot read property 'replace' of undefined

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 23 2016, 1:58 PM
Nikerabbit renamed this task from JavaScript error from ext.cleanchanges.url on Special:RecentChanges to JavaScript error from ext.cleanchanges.uls on Special:RecentChanges.Sep 23 2016, 1:59 PM

This was actually fixed feed6810b0f4ffbfa15a2981e3f4bff8d3efbf16 but the linked site is running old version, I have to check why. Anyway, I can improve this.

Change 315646 had a related patch set uploaded (by Nikerabbit):
Do not load ext.cleanchanges.uls unnecessarily

https://gerrit.wikimedia.org/r/315646

Nikerabbit removed a project: Regression.
Nikerabbit triaged this task as Low priority.Oct 13 2016, 8:42 AM

Change 315646 merged by jenkins-bot:
Do not load ext.cleanchanges.uls unnecessarily

https://gerrit.wikimedia.org/r/315646

Arrbee closed this task as Resolved.Nov 8 2016, 6:42 AM